/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfdj.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.appmenu.vo.DbsxVO;
import org.springblade.modules.appmenu.vo.RwtxListVO;
import org.springblade.modules.mdjfdj.entity.MdjfDjEntity;
import org.springblade.modules.mdjfdj.excel.MdjfDjExcel;
import org.springblade.modules.mdjfdj.vo.JqVO;
import org.springblade.modules.mdjfdj.vo.MdjfDjVO;

import java.util.List;
import java.util.Map;

/**
 * 矛盾纠纷登记表 服务类
 *
 * @author BladeX
 * @since 2023-08-02
 */
public interface IMdjfDjService extends BaseService<MdjfDjEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	IPage<MdjfDjVO> selectmdjfDjPage(IPage<MdjfDjVO> page, Map<String, Object> params);


	/**
	 * 导出数据
	 *
	 * @return
	 */
	List<MdjfDjExcel> exportmdjfDj(Map<String, Object> params);

    MdjfDjEntity getDetail(MdjfDjEntity mdjfdj);

	IPage<MdjfDjVO> pageToApp(IPage<MdjfDjVO> page, Map<String, Object> params, String[] mdIds);

	void addHuiFang(MdjfDjEntity mdjfdj);

    int getJfhf(Map<String, Object> params);

	DbsxVO getDbsxVOtj(String deptId);

	DbsxVO getDbsxVOhf(String deptId);

	List<MdjfDjEntity> getMdHfjzsjIsNotNull();

	int getMdjfSl(Long userId);

	IPage<MdjfDjVO> getMdList(IPage<MdjfDjVO> page, Map<String, Object> params);

	List<JqVO> getJqByLxdh(Map<String, String> params);

	List<JqVO> getJqTx(String deptId);

	IPage<JqVO> getJqFm(IPage<JqVO> page, Map<String, String> params);

    void saveToJl(MdjfDjEntity mdjfDjEntity);

    void updateByIdToJl(MdjfDjEntity mdjfdj);

	void saveOrUpdateJl(MdjfDjEntity mdjfDjEntity);

	RwtxListVO getRwtxVOtj(String deptId);

	RwtxListVO getRwtxVOhf(String deptId);
}
